# FoundationClasses
TKernel
Dico

# Dico_IteratorOfDictionaryOfInteger Class Reference

`#include <Dico_IteratorOfDictionaryOfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Dico_IteratorOfDictionaryOfInteger (const Handle(Dico_DictionaryOfInteger)&acell)
Standard_EXPORT | Dico_IteratorOfDictionaryOfInteger (const Handle(Dico_DictionaryOfInteger)&acell, const Standard_CString basename)
Standard_EXPORT | Dico_IteratorOfDictionaryOfInteger (const Handle(Dico_DictionaryOfInteger)&acell, const TCollection_AsciiString &basename)
Standard_EXPORT void | Start ()
Standard_EXPORT Standard_Boolean | More ()
Standard_EXPORT void | Next ()
Standard_EXPORT const Standard_Integer & | Value () const
Standard_EXPORT TCollection_AsciiString | Name () const

## Private Member Functions

Standard_EXPORT void | AppendStack (const Handle(Dico_DictionaryOfInteger)&val)

## Private Attributes

Handle_Dico_DictionaryOfInteger | thebase
TCollection_AsciiString | thename
Handle_Dico_StackItemOfDictionaryOfInteger | thelast
Standard_Integer | thenb
Standard_Boolean | themore
Standard_Boolean | theinit
Standard_Boolean | thenext

## Constructor & Destructor Documentation

Standard_EXPORT Dico_IteratorOfDictionaryOfInteger::Dico_IteratorOfDictionaryOfInteger | ( | const Handle(Dico_DictionaryOfInteger)& | acell | ) |

Standard_EXPORT Dico_IteratorOfDictionaryOfInteger::Dico_IteratorOfDictionaryOfInteger | ( | const Handle(Dico_DictionaryOfInteger)& | acell,
|  | const Standard_CString | basename
| ) |

Standard_EXPORT Dico_IteratorOfDictionaryOfInteger::Dico_IteratorOfDictionaryOfInteger | ( | const Handle(Dico_DictionaryOfInteger)& | acell,
|  | const TCollection_AsciiString & | basename
| ) |

## Member Function Documentation

Standard_EXPORT void Dico_IteratorOfDictionaryOfInteger::AppendStack | ( | const Handle(Dico_DictionaryOfInteger)& | val | ) | `[private]`

Standard_EXPORT Standard_Boolean Dico_IteratorOfDictionaryOfInteger::More | ( |  | ) |

Standard_EXPORT TCollection_AsciiString Dico_IteratorOfDictionaryOfInteger::Name | ( |  | ) | const

Standard_EXPORT void Dico_IteratorOfDictionaryOfInteger::Next | ( |  | ) |

void Dico_IteratorOfDictionaryOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Dico_IteratorOfDictionaryOfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* Dico_IteratorOfDictionaryOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void Dico_IteratorOfDictionaryOfInteger::Start | ( |  | ) |

Standard_EXPORT const Standard_Integer& Dico_IteratorOfDictionaryOfInteger::Value | ( |  | ) | const

## Field Documentation

Handle_Dico_DictionaryOfInteger Dico_IteratorOfDictionaryOfInteger::thebase `[private]`

Standard_Boolean Dico_IteratorOfDictionaryOfInteger::theinit `[private]`

Handle_Dico_StackItemOfDictionaryOfInteger Dico_IteratorOfDictionaryOfInteger::thelast `[private]`

Standard_Boolean Dico_IteratorOfDictionaryOfInteger::themore `[private]`

TCollection_AsciiString Dico_IteratorOfDictionaryOfInteger::thename `[private]`

Standard_Integer Dico_IteratorOfDictionaryOfInteger::thenb `[private]`

Standard_Boolean Dico_IteratorOfDictionaryOfInteger::thenext `[private]`

The documentation for this class was generated from the following file:

- Dico_IteratorOfDictionaryOfInteger.hxx